%define name	libtiff
%define	version	3.8.2
%define	picver	3.8.0
%define release %mkrel 5

%define lib_version	3.8.2
%define lib_major	3
%define lib_name_orig	%mklibname tiff
%define lib_name	%{lib_name_orig}%{lib_major}

Summary:	A library of functions for manipulating TIFF format image files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		System/Libraries
URL:		http://www.libtiff.org/
Source0:	ftp://ftp.remotesensing.org/pub/libtiff/tiff-%{version}.tar.bz2
Source1:	ftp://ftp.remotesensing.org/pub/libtiff/pics-%{picver}.tar.bz2
Patch0:		tiffsplit-overflow.patch.bz2
Patch1:		tiff.tiff2pdf-octal-printf.patch
Patch2:		tiff-3.8.2-goo-sec.diff

BuildRequires:	libjpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	chrpath
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package	progs
Summary:	Binaries needed to manipulate TIFF format image files
Group:		Graphics
Requires:	%{lib_name} = %{version}
Obsoletes:	libtiff3-progs
Provides:	libtiff3-progs = %{version}-%{release}

%description	progs
This package provides binaries needed to manipulate TIFF format image files.

%package -n	%{lib_name}
Summary:	A library of functions for manipulating TIFF format image files
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package -n	%{lib_name}-devel
Summary:	Development tools for programs which will use the libtiff library
Group:		Development/C
Requires:	%{lib_name} = %{version}
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	tiff-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
This package contains the header files and .so libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%package -n	%{lib_name}-static-devel
Summary:	Static libraries for programs which will use the libtiff library
Group:		Development/C
Requires:	%{lib_name}-devel = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	tiff-static-devel = %{version}-%{release}

%description -n	%{lib_name}-static-devel
This package contains the static libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%prep

%setup -q -n tiff-%{version} -a 1
ln -s pics-* pics
%patch0 -p1 -b .cve-2006-2656
%patch1 -p1 -b .cve-2006-2193
%patch2 -p1 -b .cve-2006-3459-thru-3465

%build
find . -type 'd' -name 'CVS' | xargs rm -fr
%{?__cputoolize: %{__cputoolize}}
./configure \
	--with-GCOPTS="$RPM_OPT_FLAGS" \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --libexecdir=%{_libdir} \
        --localstatedir=%{_localstatedir} \
        --mandir=%{_mandir} \
        --infodir=%{_infodir}

%make

make test

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/{%{_bindir},%{_datadir}}

%makeinstall

install -m0644 libtiff/tiffiop.h %{buildroot}%{_includedir}/
install -m0644 libtiff/tif_dir.h %{buildroot}%{_includedir}/

# let %doc handle this
rm -fr %{buildroot}%{_docdir}/tiff-%{version}

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/tiffconf.h

# rpmlint
chrpath -d %{buildroot}%{_bindir}/*
chrpath -d %{buildroot}%{_libdir}/libtiffxx.so.%{version}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files progs
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,755)
%doc COPYRIGHT README TODO VERSION html
%{_includedir}/*.h*
%{multiarch_includedir}/tiffconf.h
%{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man3/*

%files -n %{lib_name}-static-devel
%defattr(-,root,root,-)
%doc COPYRIGHT README TODO VERSION
%{_libdir}/*.a

%changelog
* Wed Sep 06 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-5mdv2007.0
- fix %%files in -devel so we don't provide %%{multiarch_includedir}

* Tue Aug 01 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-4mdv2007.0
- P2: security fix for CVE-2006-3459-thru-3465 
- rpmlint 

* Thu Jun 15 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-3mdv2007.0
- P1: security fix for CVE-2006-2193

* Tue Jun 06 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-2mdv2007.0
- P0: security fix for CVE-2006-2656

* Tue Apr 18 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-1mdk
- 3.8.2

* Thu Mar 16 2006 Olivier Blin <oblin@mandriva.com> 3.6.1-14mdk
- from Vincent Danen: security fix for CVE-2005-1544 (P105)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.6.1-13mdk
- Rebuild

* Thu Aug 18 2005 Olivier Blin <oblin@mandriva.com> 3.6.1-12mdk
- from Stew Benedict: security update for CAN-2005-2452 (P104)

* Wed Mar 23 2005 Olivier Blin <oblin@mandrakesoft.com> 3.6.1-11mdk
- Patch8: fix man page about tiffsplit filename range (CVS, #12071)

* Tue Mar 22 2005 Olivier Blin <oblin@mandrakesoft.com> 3.6.1-10mdk
- update Patch103: do not abort if an unknown tag is found (#13125)

* Thu Mar 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.6.1-9mdk
- build fix: do not pass cflags to make

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.6.1-8mdk
- cross-endian multiarch fixes

* Tue Jan 25 2005 Frederic Lepied <flepied@mandrakesoft.com> 3.6.1-7mdk
- parallel build
- really fix MDKSA-2005:001

* Tue Jan 25 2005 Michael Scherer <misc@mandrake.org> 3.6.1-6mdk
- security fix ( patch #102 )

* Tue Oct 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6.1-5mdk
- added security fixes for buffer and integer overflows (P100 & P101)

* Thu Oct  7 2004 Olivier Blin <blino@mandrake.org> 3.6.1-4mdk
- fix Hylafax decoding, see :
  http://bugs.hylafax.org/bugzilla/show_bug.cgi?id=500

* Sun Sep 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6.1-3mdk
- add missing headers
- misc spec file fixes

* Thu May 27 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.6.1-2mdk
- Merge back changes I clobbered
- rediff P0,P1,P4

* Mon May 14 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.6.1-1mdk
- 3.6.1

* Thu Oct  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.5.7-11mdk
- build libtiff with -lm

* Wed Jul 30 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.5.7-10mdk
- mkbliname, cputoolize, fixlets

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.5.7-9mdk
- rebuild for new devel provides

* Fri May 23 2003 Stefan van der Eijk <stefan@eijk.nu> 3.5.7-8mdk
- rebuild

* Mon May 05 2003 Stefan van der Eijk <stefan@eijk.nu> 3.5.7-7mdk
- fix %%doc (comment out "Readme")

* Fri Oct 11 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.5.7-6mdk
- Update Patch4 (64bit) and check for standard _LP64 define.
- Patch5: Add check for x86_64 untill gcc is fixed to make it LP64 too.

* Sun Jul  7 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.5.7-5mdk
- Correctly set DIR_{JPEG,GZ}LIB

* Thu May 16 2002 Yves Duret <yduret@mandrakesoft.com> 3.5.7-4mdk
- 9.0 lib policy: added %%libname-static-devel

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.5.7-3mdk
- Automated rebuild in gcc3.1 environment

* Sun Apr 21 2002 Yves Duret <yduret@mandrakesoft.com> 3.5.7-2mdk
- fix dangling symlinks (found by  Alexander Skwar <ASkwar@digitalprojects.com>)

* Tue Mar 19 2002 Yves Duret <yduret@mandrakesoft.com> 3.5.7-1mdk
- version 3.5.7
- use %%libname everywhere, more macros
- fix build
- sync with connectiva
- provides %%version-%%release

* Mon Oct 22 2001 Yves Duret <yduret@mandrakesoft.com> 3.5.5-8mdk
- rebuild for sir rpmlint : fix dir perm

* Tue Jul 10 2001 Stefan van der Eijk <stefan@eijk.nu> 3.5.5-8mdk
- BuildRequires:	libjpeg-devel
- BuildRequires:	zlib-devel
- Buildroot --> BuildRoot

* Tue Jun 19 2001 Yves Duret <yduret@mandrakesoft.com> 3.5.5-7mdk
- nopin rpmlint (c) un wolof from Ouro Sogui

* Wed Mar 07 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.5.5-6mdk
- added patch for JPEG and ZIP codecs, as well as "steve" and "test"
  patches from RedHat. Now ImageMagick Jpeg/PNG -> TIF conversion
  works.
- added man pages.

* Sat Jan 20 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.5.5-5mdk
- tools dynamic linked now.
- real optization.   

* Tue Dec 26 2000 Yves Duret <yduret@mandrakesoft.com> 3.5.5-4mdk
- changed Copyright: into BSD-like instead of distributable

* Sun Dec 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.5-3mdk
- Use %%_tmppath for BuildRoot
- Use %%make macro
- Libdification
- Remove CVS stuff

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.5-2mdk
- fix URL
- use new macros
- BM
- let spechelper do the strip & compress job

* Mon Jun 26 2000 Alexandre Dussart <adussart@mandrakesoft.com> 3.5.5-1mdk
- 3.5.5
- Removed obsolete patch(check for libc6).
- Rewrittent some spec section to be more generic.
- Updated shlib patch.
- Removed LIBVER define.

* Tue Apr 18 2000 Warly <warly@linux-mandrake.com> 3.4-10mdk 
- New group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build
- Use good macro (old one may have bziped whole dirs)
- defattr

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip manpages

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Michael Fulbright <msf@redhat.com>
- rebuilt against fixed jpeg libs (libjpeg-6b)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- new version to replace the one from libgr
- patched for glibc
- added shlib support
